000037265 - Error Jurisdiction policy files are not signed by the expected signer in RSA Authentication Manager 8.x SDK

Document created by RSA Customer Support Employee on Mar 25, 2019
Version 1Show Document
  • View in full screen mode

Article Content

Article Number000037265
Applies ToRSA Product Set: SecurID
RSA Product/Service Type: Authentication Manager SDK Java
RSA Version/Condition: 8.x
IssueWhen running Authentication Manager SDK with Java code, one of the following errors are seen:
 

Jurisdiction policy files are not signed by the expected signer!


  or



Jurisdiction policy files are not signed by trusted signers!



 
CauseThese errors happen when Java version does not match with the version of policy files being used.



 
ResolutionThe Java Cryptography Extension(JCE) files under <JRE>/lib/security/should be replaced, and the new Java Cryptography Extension Unlimited Strength Jurisdiction Policy Files should match the version of Java version used.

You can determine the version of Java being used by typing the following at a command prompt:

java -version


Based on the value returned, download the correct file versions.
NotesSome vendors have their own jurisdiction files, and the files must be replaced by the files from those specific vendors rather than the files provided by Oracle.

Click to download the jurisdiction policy files for an AIX server.

 

Attachments

    Outcomes